// This source code is licensed under the 3-clause BSD license found
// in the LICENSE file in the root directory of this project.

// Class for the South Atlantic Anomaly (SAA)

#pragma once

#include <string>
#include <vector>

namespace spex {

class SAA
{
private:
    std::vector<double> lat {};
    std::vector<double> lon {};

public:
    SAA(const std::string& filename);

    [[nodiscard]] auto containsPoint(const double lat, const double lon) const
      -> bool;
};

} // namespace spex
